Upsert Screening Package
Partner Restricted
All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.
Summary Description
Upserts information about screening packages for the companyId
Use Cases
- Partner wants to send over a screening package for a client, can be when onboarding a new client, or can be when client adds a new package to their company
- Partner wants to make a specific screening package either active or inactive for a client
- Partner wants to update the price of a client’s screening package
- Partner wants to add services to a package
- Partner wants to add a billing code to correlate to a specific BGC package
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
companyId
Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.
packageId
Assessment or screening package identifier.
Headers
testMode
If true all responses are mocked and generated randomly
Accept
Media type(s) the client can accept in the response (typically application/json).
Request
Request payload for this operation. See the official endpoint documentation for required fields and allowable values.
Response
Successful response
Errors
401
Unauthorized Error